diff --git a/nrpe.spec b/nrpe.spec
index 1672a07..b1a73d4 100644
--- a/nrpe.spec
+++ b/nrpe.spec
@@ -55,14 +55,14 @@ This package provides the nrpe plugin for Nagios-related applications.
 
 
 %pre
-# Create `nagios' group on the system if necessary
+# Create `nagios' system group on the system if necessary
 if grep ^nagios: /etc/group; then
 	: # group already exists
 else
-	/usr/sbin/groupadd %{nsgrp} || %nnmmsg Unexpected error adding group "%{nsgrp}". Aborting install process.
+	/usr/sbin/groupadd -r %{nsgrp} || %nnmmsg Unexpected error adding group "%{nsgrp}". Aborting install process.
 fi
 
-# Create `nagios' user on the system if necessary
+# Create `nagios' system user on the system if necessary
 if id %{nsusr} ; then
 	: # user already exists
 else
